digiKam Developer Documentation: Digikam::SearchView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::SearchView Class Reference
Inheritance diagram for Digikam::SearchView:

## Signals
void | searchCancel ()
void | searchOk ()
void | searchTryout ()

## Public Member Functions
QPixmap | bottomBarPixmap (int w, int h) override
QPixmap | groupLabelPixmap (int w, int h) override
void | read (const QString &search)
void | setBottomBar (SearchViewBottomBar *const bar)
void | setup ()
QString | write () const
Public Member Functions inherited from Digikam::AbstractSearchGroupContainer
| AbstractSearchGroupContainer (QWidget *const parent=nullptr)
| Abstract base class for classes that contain SearchGroups To contain common code of SearchView and SearchGroup, as SearchGroups can have subgroups.

## Protected Slots
void | animationFrame (int)
void | setTheme ()
void | slotAddGroupButton ()
void | slotResetButton ()
void | startAnimation ()
void | timeLineFinished ()
Protected Slots inherited from Digikam::AbstractSearchGroupContainer
void | removeSendingSearchGroup ()

## Protected Member Functions
void | addGroupToLayout (SearchGroup *group) override
| Re-implement: Adds a newly created group to the layout structures.
QPixmap | cachedBannerPixmap (int w, int h) const
SearchGroup * | createSearchGroup () override
| Re-implement: create and setup a search group.
void | paintEvent (QPaintEvent *e) override
void | showEvent (QShowEvent *event) override
Protected Member Functions inherited from Digikam::AbstractSearchGroupContainer
void | finishReadingGroups ()
| Call when the XML part is finished.
void | readGroup (SearchXmlCachingReader &reader)
| Call when a group element is the current element.
void | startReadingGroups (SearchXmlCachingReader &reader)
| Call before reading the XML part that could contain group elements.
QList< QRect > | startupAnimationAreaOfGroups () const
| Collects the data from the same method of all contained groups (position relative to this widget)
void | writeGroups (SearchXmlWriter &writer) const
| Write contained groups to writer.

## Additional Inherited Members
Public Slots inherited from Digikam::AbstractSearchGroupContainer
SearchGroup * | addSearchGroup ()
void | removeSearchGroup (SearchGroup *group)
Protected Attributes inherited from Digikam::AbstractSearchGroupContainer
int | m_groupIndex = 0
QList< SearchGroup * > | m_groups

## Member Function Documentation

## ◆ addGroupToLayout()

void Digikam::SearchView::addGroupToLayout | ( | SearchGroup * | group | ) |
| overrideprotectedvirtual

Implements Digikam::AbstractSearchGroupContainer.

## ◆ bottomBarPixmap()

QPixmap Digikam::SearchView::bottomBarPixmap | ( | int | w,
|  | int | h
| ) |  |
| overridevirtual

Implements Digikam::SearchViewThemedPartsCache.

## ◆ createSearchGroup()

SearchGroup * Digikam::SearchView::createSearchGroup | ( |  | ) |
| overrideprotectedvirtual

Implements Digikam::AbstractSearchGroupContainer.

## ◆ groupLabelPixmap()

QPixmap Digikam::SearchView::groupLabelPixmap | ( | int | w,
|  | int | h
| ) |  |
| overridevirtual

Implements Digikam::SearchViewThemedPartsCache.